## org.apache.poi.hwpf.model.io
Class HWPFOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              org.apache.poi.hwpf.model.io.HWPFOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    @Internal
    public final class HWPFOutputStream

extends java.io.ByteArrayOutputStream

Field Summary

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`HWPFOutputStream()`

Method Summary
`int` `getOffset()`
`void` `reset()`
`void` `write(byte[] buf, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.ByteArrayOutputStream
`close, size, toByteArray, toString, toString, toString, writeTo`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HWPFOutputStream

    public HWPFOutputStream()

Method Detail

### getOffset

    public int getOffset()

### reset

    public void reset()

  Overrides:
    `reset` in class `java.io.ByteArrayOutputStream`

### write

    public void write(byte[] buf,
                      int off,
                      int len)

  Overrides:
    `write` in class `java.io.ByteArrayOutputStream`

### write

    public void write(int b)

  Overrides:
    `write` in class `java.io.ByteArrayOutputStream`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.